class Palette:
    BLACK = "#000000"
    WHITE = "#FFFFFF"
    RED = "#FF0000"
    GREEN = "#00FF00"
    BLUE = "#0000FF"
    YELLOW = "#FFFF00"
    CYAN = "#00FFFF"
    MAGENTA = "#FF00FF"

    class Catppuccin:
        class Latte:
            ROSEWATER = "#dc8a78"
            FLAMINGO = "#dd7878"
            PINK = "#ea76cb"
            MAUVE = "#8839ef"
            RED = "#d20f39"
            MAROON = "#e64553"
            PEACH = "#fe640b"
            YELLOW = "#df8e1d"
            GREEN = "#40a02b"
            TEAL = "#179299"
            SKY = "#04a5e5"
            SAPPHIRE = "#209fb5"
            BLUE = "#1e66f5"
            LAVENDER = "#7287fd"
            TEXT = "#4c4f69"
            SUBTEXT1 = "#5c5f77"
            SUBTEXT0 = "#6c6f85"
            OVERLAY2 = "#7c7f93"
            OVERLAY1 = "#8c8fa1"
            OVERLAY0 = "#9ca0b0"
            SURFACE2 = "#acb0be"
            SURFACE1 = "#bcc0cc"
            SURFACE0 = "#ccd0da"
            BASE = "#eff1f5"
            MANTLE = "#e6e9ef"
            CRUST = "#dce0e8"

        class Frappe:
            ROSEWATER = "#f2d5cf"
            FLAMINGO = "#eebebe"
            PINK = "#f4b8e4"
            MAUVE = "#ca9ee6"
            RED = "#e78284"
            MAROON = "#ea999c"
            PEACH = "#ef9f76"
            YELLOW = "#e5c890"
            GREEN = "#a6d189"
            TEAL = "#81c8be"
            SKY = "#99d1db"
            SAPPHIRE = "#85c1dc"
            BLUE = "#8caaee"
            LAVENDER = "#babbf1"
            TEXT = "#c6d0f5"
            SUBTEXT1 = "#b5bfe2"
            SUBTEXT0 = "#a5adce"
            OVERLAY2 = "#949cbb"
            OVERLAY1 = "#838ba7"
            OVERLAY0 = "#737994"
            SURFACE2 = "#626880"
            SURFACE1 = "#51576d"
            SURFACE0 = "#414559"
            BASE = "#303446"
            MANTLE = "#292c3c"
            CRUST = "#232634"

        class Macchiato:
            ROSEWATER = "#f4dbd6"
            FLAMINGO = "#f0c6c6"
            PINK = "#f5bde6"
            MAUVE = "#c6a0f6"
            RED = "#ed8796"
            MAROON = "#ee99a0"
            PEACH = "#f5a97f"
            YELLOW = "#eed49f"
            GREEN = "#a6da95"
            TEAL = "#8bd5ca"
            SKY = "#91d7e3"
            SAPPHIRE = "#7dc4e4"
            BLUE = "#8aadf4"
            LAVENDER = "#b7bdf8"
            TEXT = "#cad3f5"
            SUBTEXT1 = "#b8c0e0"
            SUBTEXT0 = "#a5adcb"
            OVERLAY2 = "#939ab7"
            OVERLAY1 = "#8087a2"
            OVERLAY0 = "#6e738d"
            SURFACE2 = "#5b6078"
            SURFACE1 = "#494d64"
            SURFACE0 = "#363a4f"
            BASE = "#24273a"
            MANTLE = "#1e2030"
            CRUST = "#181926"

        class Mocha:
            ROSEWATER = "#f5e0dc"
            FLAMINGO = "#f2cdcd"
            PINK = "#f5c2e7"
            MAUVE = "#cba6f7"
            RED = "#f38ba8"
            MAROON = "#eba0ac"
            PEACH = "#fab387"
            YELLOW = "#f9e2af"
            GREEN = "#a6e3a1"
            TEAL = "#94e2d5"
            SKY = "#89dceb"
            SAPPHIRE = "#74c7ec"
            BLUE = "#89b4fa"
            LAVENDER = "#b4befe"
            TEXT = "#cdd6f4"
            SUBTEXT1 = "#bac2de"
            SUBTEXT0 = "#a6adc8"
            OVERLAY2 = "#9399b2"
            OVERLAY1 = "#7f849c"
            OVERLAY0 = "#6c7086"
            SURFACE2 = "#585b70"
            SURFACE1 = "#45475a"
            SURFACE0 = "#313244"
            BASE = "#1e1e2e"
            MANTLE = "#181825"
            CRUST = "#11111b"
            
    class Solarized:
        BASE03 = "#002b36"
        BASE02 = "#073642"
        BASE01 = "#586e75"
        BASE00 = "#657b83"
        BASE0 = "#839496"
        BASE1 = "#93a1a1"
        BASE2 = "#eee8d5"
        BASE3 = "#fdf6e3"
        YELLOW = "#b58900"
        ORANGE = "#cb4b16"
        RED = "#dc322f"
        MAGENTA = "#d33682"
        VIOLET = "#6c71c4"
        BLUE = "#268bd2"
        CYAN = "#2aa198"
        GREEN = "#859900"

    class Dracula:
        BACKGROUND = "#282a36"
        CURRENT_LINE = "#44475a"
        SELECTION = "#44475a"
        FOREGROUND = "#f8f8f2"
        COMMENT = "#6272a4"
        CYAN = "#8be9fd"
        GREEN = "#50fa7b"
        ORANGE = "#ffb86c"
        PINK = "#ff79c6"
        PURPLE = "#bd93f9"
        RED = "#ff5555"
        YELLOW = "#f1fa8c"

        class Pro:
            BACKGROUND = "#1e1f29"
            FOREGROUND = "#f8f8f2"
            COMMENT = "#6272a4"
            CYAN = "#8be9fd"
            GREEN = "#50fa7b"
            ORANGE = "#ffb86c"
            PINK = "#ff79c6"
            PURPLE = "#bd93f9"
            RED = "#ff5555"
            YELLOW = "#f1fa8c"

    class Monokai:
        BACKGROUND = "#272822"
        FOREGROUND = "#f8f8f2"
        COMMENT = "#75715e"
        RED = "#f92672"
        ORANGE = "#fd971f"
        YELLOW = "#e6db74"
        GREEN = "#a6e22e"
        CYAN = "#66d9ef"
        BLUE = "#268bd2"
        PURPLE = "#ae81ff"

        class Pro:
            BACKGROUND = "#2e2e2e"
            FOREGROUND = "#d6d6d6"
            COMMENT = "#797979"
            RED = "#f92672"
            ORANGE = "#fd971f"
            YELLOW = "#e6db74"
            GREEN = "#a6e22e"
            CYAN = "#66d9ef"
            BLUE = "#268bd2"
            PURPLE = "#ae81ff"
            